GNU logs - #37594, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#37594: Menu rearrangement
Resent-From: Juri Linkov <juri@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 02 Oct 2019 22:32:03 +0000
Resent-Message-ID: <handler.37594.B.157005552217287 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 37594
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch
To: 37594 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.157005552217287
          (code B ref -1); Wed, 02 Oct 2019 22:32:03 +0000
Received: (at submit) by debbugs.gnu.org; 2 Oct 2019 22:32:02 +0000
Received: from localhost ([127.0.0.1]:38487 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFnA8-0004SP-4s
	for submit <at> debbugs.gnu.org; Wed, 02 Oct 2019 18:32:00 -0400
Received: from lists.gnu.org ([209.51.188.17]:46812)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1iFnA6-0004Qt-92
 for submit <at> debbugs.gnu.org; Wed, 02 Oct 2019 18:31:58 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45030)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <juri@HIDDEN>) id 1iFnA3-0000Si-44
 for bug-gnu-emacs@HIDDEN; Wed, 02 Oct 2019 18:31:57 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <juri@HIDDEN>) id 1iFnA0-0002og-Hv
 for bug-gnu-emacs@HIDDEN; Wed, 02 Oct 2019 18:31:54 -0400
Received: from butterfly.birch.relay.mailchannels.net ([23.83.209.27]:12250)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <juri@HIDDEN>) id 1iFnA0-0002nc-2C
 for bug-gnu-emacs@HIDDEN; Wed, 02 Oct 2019 18:31:52 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 146DC6A18E9
 for <bug-gnu-emacs@HIDDEN>; Wed,  2 Oct 2019 22:31:50 +0000 (UTC)
Received: from pdx1-sub0-mail-a65.g.dreamhost.com
 (100-96-91-70.trex.outbound.svc.cluster.local [100.96.91.70])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 793016A1C00
 for <bug-gnu-emacs@HIDDEN>; Wed,  2 Oct 2019 22:31:49 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a65.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.17.5); Wed, 02 Oct 2019 22:31:50 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Thoughtful-Bitter: 0b00dd496dc138ac_1570055509954_2434469256
X-MC-Loop-Signature: 1570055509954:653605353
X-MC-Ingress-Time: 1570055509954
Received: from pdx1-sub0-mail-a65.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a65.g.dreamhost.com (Postfix) with ESMTP id 32BA985869
 for <bug-gnu-emacs@HIDDEN>; Wed,  2 Oct 2019 15:31:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to
 :subject:date:message-id:mime-version:content-type; s=
 linkov.net; bh=kznJ+TyXb+L+MSWMUODmfeX28GE=; b=TTb6hzZ6z84wMwdPU
 e9P0VtxgaQ4nM7yqjYdMwPGwV/H7y/GwW4jZZPW7iUF5KjZm47kcs0ULzQq6XaZq
 OdDSKyK5oLqFyliyuejZT07a85VSntBnsaGkBXjVomGOh+AGUJ4eVNL7J/HvBYHe
 S6HJJAEoBcDyEz0fLUdkM5IecI=
Received: from mail.jurta.org (m91-129-99-99.cust.tele2.ee [91.129.99.99])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a65.g.dreamhost.com (Postfix) with ESMTPSA id 2AFBA85851
 for <bug-gnu-emacs@HIDDEN>; Wed,  2 Oct 2019 15:31:42 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a65
From: Juri Linkov <juri@HIDDEN>
Organization: LINKOV.NET
Date: Thu, 03 Oct 2019 00:27:37 +0300
Message-ID: <87a7aidbqe.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: 0
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedufedrgeejgddtlecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecunecujfgurhephffvufhofffkfgggtgesmhdtreertdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucffohhmrghinhepshhtrggtkhhovhgvrhhflhhofidrtghomhenucfkphepledurdduvdelrdelledrleelnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehmrghilhdrjhhurhhtrgdrohhrghdpihhnvghtpeeluddruddvledrleelrdelledprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopegsuhhgqdhgnhhuqdgvmhgrtghssehgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgeptd
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 23.83.209.27
X-Spam-Score: -1.4 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain

Tags: patch

The most suitable place for the new tab commands is below
window and frame commands in the File menu.

Since this makes the menu too long, this patch moves the
print related commands into a new submenu.

Also it adds new menu items for two new commands,
and renames 'grep' to 'rgrep' that is more user-friendly.

Finally, it advertises easier to understand bindings C-x <right>
and C-x <left> instead of XF86Forward and XF86Back that are
too confusing for users as these questions indicate
https://stackoverflow.com/questions/21239706/which-keys-are-xf86back-and-xf86forward-in-emacs


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=menu-rearrangement.patch

diff --git a/lisp/bindings.el b/lisp/bindings.el
index 0be1458798..4c5450f050 100644
--- a/lisp/bindings.el
+++ b/lisp/bindings.el
@@ -933,9 +933,11 @@ esc-map
 (define-key ctl-x-map [right] 'next-buffer)
 (define-key ctl-x-map [C-right] 'next-buffer)
 (define-key global-map [XF86Forward] 'next-buffer)
+(put 'next-buffer :advertised-binding [?\C-x right])
 (define-key ctl-x-map [left] 'previous-buffer)
 (define-key ctl-x-map [C-left] 'previous-buffer)
 (define-key global-map [XF86Back] 'previous-buffer)
+(put 'previous-buffer :advertised-binding [?\C-x left])
 
 (let ((map minibuffer-local-map))
   (define-key map "\en"   'next-history-element)
diff --git a/lisp/menu-bar.el b/lisp/menu-bar.el
index b7967b858a..f5dbadce10 100644
--- a/lisp/menu-bar.el
+++ b/lisp/menu-bar.el
@@ -49,6 +49,36 @@ cua-enable-cua-keys
 ;; It gets modified in place when menu-bar-update-buffers is called.
 (defvar global-buffers-menu-map (make-sparse-keymap "Buffers"))
 
+(defvar menu-bar-print-menu
+  (let ((menu (make-sparse-keymap "Print")))
+    (bindings--define-key menu [ps-print-region]
+      '(menu-item "PostScript Print Region (B+W)" ps-print-region
+                  :enable mark-active
+                  :help "Pretty-print marked region in black and white to PostScript printer"))
+    (bindings--define-key menu [ps-print-buffer]
+      '(menu-item "PostScript Print Buffer (B+W)" ps-print-buffer
+                  :enable (menu-bar-menu-frame-live-and-visible-p)
+                  :help "Pretty-print current buffer in black and white to PostScript printer"))
+    (bindings--define-key menu [ps-print-region-faces]
+      '(menu-item "PostScript Print Region"
+                  ps-print-region-with-faces
+                  :enable mark-active
+                  :help "Pretty-print marked region to PostScript printer"))
+    (bindings--define-key menu [ps-print-buffer-faces]
+      '(menu-item "PostScript Print Buffer"
+                  ps-print-buffer-with-faces
+                  :enable (menu-bar-menu-frame-live-and-visible-p)
+                  :help "Pretty-print current buffer to PostScript printer"))
+    (bindings--define-key menu [print-region]
+      '(menu-item "Print Region" print-region
+                  :enable mark-active
+                  :help "Print region between mark and current position"))
+    (bindings--define-key menu [print-buffer]
+      '(menu-item "Print Buffer" print-buffer
+                  :enable (menu-bar-menu-frame-live-and-visible-p)
+                  :help "Print current buffer with page headings"))
+    menu))
+
 ;; Only declared obsolete (and only made a proper alias) in 23.3.
 (define-obsolete-variable-alias
   'menu-bar-files-menu 'menu-bar-file-menu "22.1")
@@ -63,6 +93,19 @@ menu-bar-file-menu
     (bindings--define-key menu [separator-exit]
       menu-bar-separator)
 
+    (unless (featurep 'ns)
+      (bindings--define-key menu [close-tab]
+        '(menu-item "Close Tab" tab-close
+                    :visible (fboundp 'tab-close)
+                    :help "Close currently selected tab"))
+      (bindings--define-key menu [make-tab]
+        '(menu-item "New Tab" tab-new
+                    :visible (fboundp 'tab-new)
+                    :help "Open a new tab"))
+
+      (bindings--define-key menu [separator-tab]
+        menu-bar-separator))
+
     ;; Don't use delete-frame as event name because that is a special
     ;; event.
     (bindings--define-key menu [delete-this-frame]
@@ -70,6 +113,10 @@ menu-bar-file-menu
                   :visible (fboundp 'delete-frame)
                   :enable (delete-frame-enabled-p)
                   :help "Delete currently selected frame"))
+    (bindings--define-key menu [make-frame-on-monitor]
+      '(menu-item "New Frame on Monitor..." make-frame-on-monitor
+                  :visible (fboundp 'make-frame-on-monitor)
+                  :help "Open a new frame on another monitor"))
     (bindings--define-key menu [make-frame-on-display]
       '(menu-item "New Frame on Display..." make-frame-on-display
                   :visible (fboundp 'make-frame-on-display)
@@ -102,32 +149,8 @@ menu-bar-file-menu
     (bindings--define-key menu [separator-window]
       menu-bar-separator)
 
-    (bindings--define-key menu [ps-print-region]
-      '(menu-item "PostScript Print Region (B+W)" ps-print-region
-                  :enable mark-active
-                  :help "Pretty-print marked region in black and white to PostScript printer"))
-    (bindings--define-key menu [ps-print-buffer]
-      '(menu-item "PostScript Print Buffer (B+W)" ps-print-buffer
-                  :enable (menu-bar-menu-frame-live-and-visible-p)
-                  :help "Pretty-print current buffer in black and white to PostScript printer"))
-    (bindings--define-key menu [ps-print-region-faces]
-      '(menu-item "PostScript Print Region"
-                  ps-print-region-with-faces
-                  :enable mark-active
-                  :help "Pretty-print marked region to PostScript printer"))
-    (bindings--define-key menu [ps-print-buffer-faces]
-      '(menu-item "PostScript Print Buffer"
-                  ps-print-buffer-with-faces
-                  :enable (menu-bar-menu-frame-live-and-visible-p)
-                  :help "Pretty-print current buffer to PostScript printer"))
-    (bindings--define-key menu [print-region]
-      '(menu-item "Print Region" print-region
-                  :enable mark-active
-                  :help "Print region between mark and current position"))
-    (bindings--define-key menu [print-buffer]
-      '(menu-item "Print Buffer" print-buffer
-                  :enable (menu-bar-menu-frame-live-and-visible-p)
-                  :help "Print current buffer with page headings"))
+    (bindings--define-key menu [print]
+      `(menu-item "Print" ,menu-bar-print-menu))
 
     (bindings--define-key menu [separator-print]
       menu-bar-separator)
@@ -1216,6 +1239,12 @@ menu-bar-showhide-menu
                                   (frame-visible-p
                                    (symbol-value 'speedbar-frame))))))
 
+    (bindings--define-key menu [showhide-tab-line-mode]
+      '(menu-item "Window Tab Line" global-tab-line-mode
+                  :help "Turn window-local tab-lines on/off"
+                  :visible (fboundp 'global-tab-line-mode)
+                  :button (:toggle . global-tab-line-mode)))
+
     (bindings--define-key menu [showhide-window-divider]
       `(menu-item "Window Divider" ,menu-bar-showhide-window-divider-menu
                   :visible (memq (window-system) '(x w32))))
@@ -1242,13 +1271,14 @@ menu-bar-showhide-menu
                               (frame-parameter (menu-bar-frame-for-menubar)
                                                'menu-bar-lines)))))
 
-    (bindings--define-key menu [showhide-tab-bar]
-      '(menu-item "Tab Bar" toggle-tab-bar-mode-from-frame
-                  :help "Turn tab bar on/off"
-                  :button
-                  (:toggle . (menu-bar-positive-p
-                              (frame-parameter (menu-bar-frame-for-menubar)
-                                               'tab-bar-lines)))))
+    (unless (featurep 'ns)
+      (bindings--define-key menu [showhide-tab-bar]
+        '(menu-item "Tab Bar" toggle-tab-bar-mode-from-frame
+                    :help "Turn tab bar on/off"
+                    :button
+                    (:toggle . (menu-bar-positive-p
+                                (frame-parameter (menu-bar-frame-for-menubar)
+                                                 'tab-bar-lines))))))
 
     (if (and (boundp 'menu-bar-showhide-tool-bar-menu)
              (keymapp menu-bar-showhide-tool-bar-menu))
@@ -1698,8 +1728,8 @@ menu-bar-tools-menu
     (bindings--define-key menu [compile]
       '(menu-item "Compile..." compile
                   :help "Invoke compiler or Make, view compilation errors"))
-    (bindings--define-key menu [grep]
-      '(menu-item "Search Files (Grep)..." grep
+    (bindings--define-key menu [rgrep]
+      '(menu-item "Search Files (Recursive Grep)..." rgrep
                   :help "Search files for strings or regexps (with Grep)"))
     menu))
 

--=-=-=--




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Juri Linkov <juri@HIDDEN>
Subject: bug#37594: Acknowledgement (Menu rearrangement)
Message-ID: <handler.37594.B.157005552217287.ack <at> debbugs.gnu.org>
References: <87a7aidbqe.fsf@HIDDEN>
X-Gnu-PR-Message: ack 37594
X-Gnu-PR-Package: emacs
X-Gnu-PR-Keywords: patch
Reply-To: 37594 <at> debbugs.gnu.org
Date: Wed, 02 Oct 2019 22:32:03 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 37594 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
37594: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D37594
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#37594: Menu rearrangement
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 03 Oct 2019 17:10:02 +0000
Resent-Message-ID: <handler.37594.B37594.157012258821724 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 37594
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch
To: Juri Linkov <juri@HIDDEN>
Cc: 37594 <at> debbugs.gnu.org
Received: via spool by 37594-submit <at> debbugs.gnu.org id=B37594.157012258821724
          (code B ref 37594); Thu, 03 Oct 2019 17:10:02 +0000
Received: (at 37594) by debbugs.gnu.org; 3 Oct 2019 17:09:48 +0000
Received: from localhost ([127.0.0.1]:41022 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iG4br-0005eK-Ot
	for submit <at> debbugs.gnu.org; Thu, 03 Oct 2019 13:09:48 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50967)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iG4bp-0005e7-W5
 for 37594 <at> debbugs.gnu.org; Thu, 03 Oct 2019 13:09:46 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49035)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iG4bk-0006Ke-I8; Thu, 03 Oct 2019 13:09:40 -0400
Received: from [176.228.60.248] (port=2459 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iG4bj-0002Ak-Oh; Thu, 03 Oct 2019 13:09:40 -0400
Date: Thu, 03 Oct 2019 20:09:23 +0300
Message-Id: <83k19l7o3g.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <87a7aidbqe.fsf@HIDDEN> (message from Juri Linkov on
 Thu, 03 Oct 2019 00:27:37 +0300)
References: <87a7aidbqe.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Date: Thu, 03 Oct 2019 00:27:37 +0300
> 
> The most suitable place for the new tab commands is below
> window and frame commands in the File menu.
> 
> Since this makes the menu too long, this patch moves the
> print related commands into a new submenu.

Please move the "Print" part after the New Frame, New Window, etc.

> Also it adds new menu items for two new commands,
> and renames 'grep' to 'rgrep' that is more user-friendly.

Why rename?  People are accustomed to see "Grep".  If you think Rgrep
is so useful as to warrant a menu item, let's add it.

These changes should be in NEWS.

Thanks.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#37594: Menu rearrangement
Resent-From: Juri Linkov <juri@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 03 Oct 2019 23:20:03 +0000
Resent-Message-ID: <handler.37594.B37594.157014478025205 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 37594
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 37594 <at> debbugs.gnu.org
Received: via spool by 37594-submit <at> debbugs.gnu.org id=B37594.157014478025205
          (code B ref 37594); Thu, 03 Oct 2019 23:20:03 +0000
Received: (at 37594) by debbugs.gnu.org; 3 Oct 2019 23:19:40 +0000
Received: from localhost ([127.0.0.1]:41449 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGANo-0006YS-2N
	for submit <at> debbugs.gnu.org; Thu, 03 Oct 2019 19:19:40 -0400
Received: from bird.elm.relay.mailchannels.net ([23.83.212.17]:47197)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1iGANm-0006YH-80
 for 37594 <at> debbugs.gnu.org; Thu, 03 Oct 2019 19:19:39 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 25C68500D69;
 Thu,  3 Oct 2019 23:19:37 +0000 (UTC)
Received: from pdx1-sub0-mail-a97.g.dreamhost.com
 (100-96-15-86.trex.outbound.svc.cluster.local [100.96.15.86])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 4318B500FE7;
 Thu,  3 Oct 2019 23:19:36 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a97.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.17.5); Thu, 03 Oct 2019 23:19:36 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Vacuous-Share: 606324a92a0bff4d_1570144776508_1824631761
X-MC-Loop-Signature: 1570144776508:1352407947
X-MC-Ingress-Time: 1570144776508
Received: from pdx1-sub0-mail-a97.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a97.g.dreamhost.com (Postfix) with ESMTP id 8BC1E7F682;
 Thu,  3 Oct 2019 16:19:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=h2CJ+uBUaXA4Unbe8sXgSoc8IKg=; b=
 1nBilEUXUC8ZiusO5QJOaT6sHidqAsDaCghFxfLhjqAbSHLz395R3As3oMQkhUP/
 Gy3gp4dH35srzaWTHU74P/Vq1/Lp6NaXiBEW+fA98A8ElduBemK4KC/kL8x0lgOi
 UAyfHQaH8R+yUn86Qz6b8kRHWLzhzQcLL+ojqzFwfSU=
Received: from mail.jurta.org (m91-129-99-99.cust.tele2.ee [91.129.99.99])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a97.g.dreamhost.com (Postfix) with ESMTPSA id 41C657F67E;
 Thu,  3 Oct 2019 16:19:27 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a97
From: Juri Linkov <juri@HIDDEN>
Organization: LINKOV.NET
References: <87a7aidbqe.fsf@HIDDEN> <83k19l7o3g.fsf@HIDDEN>
Date: Fri, 04 Oct 2019 01:43:37 +0300
In-Reply-To: <83k19l7o3g.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 03 Oct
 2019 20:09:23 +0300")
Message-ID: <874l0ph146.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedufedrgeelgddvudcutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtsehmtderredtredtnecuhfhrohhmpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqnecukfhppeeluddruddvledrleelrdelleenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepmhgrihhlrdhjuhhrthgrrdhorhhgpdhinhgvthepledurdduvdelrdelledrleelpdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtohepvghlihiisehgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgeptd
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

>> The most suitable place for the new tab commands is below
>> window and frame commands in the File menu.
>>
>> Since this makes the menu too long, this patch moves the
>> print related commands into a new submenu.
>
> Please move the "Print" part after the New Frame, New Window, etc.

Moved in a new patch.

>> Also it adds new menu items for two new commands,
>> and renames 'grep' to 'rgrep' that is more user-friendly.
>
> Why rename?

Only to keep the same menu size.

> People are accustomed to see "Grep".  If you think Rgrep
> is so useful as to warrant a menu item, let's add it.

Ok, added in a new patch.

> These changes should be in NEWS.

Added as well:


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=menu-rearrangement.2.patch

diff --git a/etc/NEWS b/etc/NEWS
index 00a01999a7..39cafb5142 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -2094,6 +2094,9 @@ immediately.  Type 'M-x so-long-commentary' for full documentation.
 
 * Incompatible Lisp Changes in Emacs 27.1
 
+---
+** Print menu items in the File menu moved to submenu.
+
 ---
 ** Incomplete destructive splicing support has been removed.
 Support for Common Lisp style destructive splicing (",.") was
diff --git a/lisp/menu-bar.el b/lisp/menu-bar.el
index b7967b858a..f0ab5b41d5 100644
--- a/lisp/menu-bar.el
+++ b/lisp/menu-bar.el
@@ -49,6 +49,36 @@ cua-enable-cua-keys
 ;; It gets modified in place when menu-bar-update-buffers is called.
 (defvar global-buffers-menu-map (make-sparse-keymap "Buffers"))
 
+(defvar menu-bar-print-menu
+  (let ((menu (make-sparse-keymap "Print")))
+    (bindings--define-key menu [ps-print-region]
+      '(menu-item "PostScript Print Region (B+W)" ps-print-region
+                  :enable mark-active
+                  :help "Pretty-print marked region in black and white to PostScript printer"))
+    (bindings--define-key menu [ps-print-buffer]
+      '(menu-item "PostScript Print Buffer (B+W)" ps-print-buffer
+                  :enable (menu-bar-menu-frame-live-and-visible-p)
+                  :help "Pretty-print current buffer in black and white to PostScript printer"))
+    (bindings--define-key menu [ps-print-region-faces]
+      '(menu-item "PostScript Print Region"
+                  ps-print-region-with-faces
+                  :enable mark-active
+                  :help "Pretty-print marked region to PostScript printer"))
+    (bindings--define-key menu [ps-print-buffer-faces]
+      '(menu-item "PostScript Print Buffer"
+                  ps-print-buffer-with-faces
+                  :enable (menu-bar-menu-frame-live-and-visible-p)
+                  :help "Pretty-print current buffer to PostScript printer"))
+    (bindings--define-key menu [print-region]
+      '(menu-item "Print Region" print-region
+                  :enable mark-active
+                  :help "Print region between mark and current position"))
+    (bindings--define-key menu [print-buffer]
+      '(menu-item "Print Buffer" print-buffer
+                  :enable (menu-bar-menu-frame-live-and-visible-p)
+                  :help "Print current buffer with page headings"))
+    menu))
+
 ;; Only declared obsolete (and only made a proper alias) in 23.3.
 (define-obsolete-variable-alias
   'menu-bar-files-menu 'menu-bar-file-menu "22.1")
@@ -63,6 +93,25 @@ menu-bar-file-menu
     (bindings--define-key menu [separator-exit]
       menu-bar-separator)
 
+    (bindings--define-key menu [print]
+      `(menu-item "Print" ,menu-bar-print-menu))
+
+    (bindings--define-key menu [separator-print]
+      menu-bar-separator)
+
+    (unless (featurep 'ns)
+      (bindings--define-key menu [close-tab]
+        '(menu-item "Close Tab" tab-close
+                    :visible (fboundp 'tab-close)
+                    :help "Close currently selected tab"))
+      (bindings--define-key menu [make-tab]
+        '(menu-item "New Tab" tab-new
+                    :visible (fboundp 'tab-new)
+                    :help "Open a new tab"))
+
+      (bindings--define-key menu [separator-tab]
+        menu-bar-separator))
+
     ;; Don't use delete-frame as event name because that is a special
     ;; event.
     (bindings--define-key menu [delete-this-frame]
@@ -70,6 +119,10 @@ menu-bar-file-menu
                   :visible (fboundp 'delete-frame)
                   :enable (delete-frame-enabled-p)
                   :help "Delete currently selected frame"))
+    (bindings--define-key menu [make-frame-on-monitor]
+      '(menu-item "New Frame on Monitor..." make-frame-on-monitor
+                  :visible (fboundp 'make-frame-on-monitor)
+                  :help "Open a new frame on another monitor"))
     (bindings--define-key menu [make-frame-on-display]
       '(menu-item "New Frame on Display..." make-frame-on-display
                   :visible (fboundp 'make-frame-on-display)
@@ -102,36 +155,6 @@ menu-bar-file-menu
     (bindings--define-key menu [separator-window]
       menu-bar-separator)
 
-    (bindings--define-key menu [ps-print-region]
-      '(menu-item "PostScript Print Region (B+W)" ps-print-region
-                  :enable mark-active
-                  :help "Pretty-print marked region in black and white to PostScript printer"))
-    (bindings--define-key menu [ps-print-buffer]
-      '(menu-item "PostScript Print Buffer (B+W)" ps-print-buffer
-                  :enable (menu-bar-menu-frame-live-and-visible-p)
-                  :help "Pretty-print current buffer in black and white to PostScript printer"))
-    (bindings--define-key menu [ps-print-region-faces]
-      '(menu-item "PostScript Print Region"
-                  ps-print-region-with-faces
-                  :enable mark-active
-                  :help "Pretty-print marked region to PostScript printer"))
-    (bindings--define-key menu [ps-print-buffer-faces]
-      '(menu-item "PostScript Print Buffer"
-                  ps-print-buffer-with-faces
-                  :enable (menu-bar-menu-frame-live-and-visible-p)
-                  :help "Pretty-print current buffer to PostScript printer"))
-    (bindings--define-key menu [print-region]
-      '(menu-item "Print Region" print-region
-                  :enable mark-active
-                  :help "Print region between mark and current position"))
-    (bindings--define-key menu [print-buffer]
-      '(menu-item "Print Buffer" print-buffer
-                  :enable (menu-bar-menu-frame-live-and-visible-p)
-                  :help "Print current buffer with page headings"))
-
-    (bindings--define-key menu [separator-print]
-      menu-bar-separator)
-
     (bindings--define-key menu [recover-session]
       '(menu-item "Recover Crashed Session" recover-session
                   :enable
@@ -1216,6 +1239,12 @@ menu-bar-showhide-menu
                                   (frame-visible-p
                                    (symbol-value 'speedbar-frame))))))
 
+    (bindings--define-key menu [showhide-tab-line-mode]
+      '(menu-item "Window Tab Line" global-tab-line-mode
+                  :help "Turn window-local tab-lines on/off"
+                  :visible (fboundp 'global-tab-line-mode)
+                  :button (:toggle . global-tab-line-mode)))
+
     (bindings--define-key menu [showhide-window-divider]
       `(menu-item "Window Divider" ,menu-bar-showhide-window-divider-menu
                   :visible (memq (window-system) '(x w32))))
@@ -1242,13 +1271,14 @@ menu-bar-showhide-menu
                               (frame-parameter (menu-bar-frame-for-menubar)
                                                'menu-bar-lines)))))
 
-    (bindings--define-key menu [showhide-tab-bar]
-      '(menu-item "Tab Bar" toggle-tab-bar-mode-from-frame
-                  :help "Turn tab bar on/off"
-                  :button
-                  (:toggle . (menu-bar-positive-p
-                              (frame-parameter (menu-bar-frame-for-menubar)
-                                               'tab-bar-lines)))))
+    (unless (featurep 'ns)
+      (bindings--define-key menu [showhide-tab-bar]
+        '(menu-item "Tab Bar" toggle-tab-bar-mode-from-frame
+                    :help "Turn tab bar on/off"
+                    :button
+                    (:toggle . (menu-bar-positive-p
+                                (frame-parameter (menu-bar-frame-for-menubar)
+                                                 'tab-bar-lines))))))
 
     (if (and (boundp 'menu-bar-showhide-tool-bar-menu)
              (keymapp menu-bar-showhide-tool-bar-menu))
@@ -1698,6 +1728,9 @@ menu-bar-tools-menu
     (bindings--define-key menu [compile]
       '(menu-item "Compile..." compile
                   :help "Invoke compiler or Make, view compilation errors"))
+    (bindings--define-key menu [rgrep]
+      '(menu-item "Recursive Grep..." rgrep
+                  :help "Interactively ask for parameters and search recursively"))
     (bindings--define-key menu [grep]
       '(menu-item "Search Files (Grep)..." grep
                   :help "Search files for strings or regexps (with Grep)"))

--=-=-=--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#37594: Menu rearrangement
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 04 Oct 2019 07:38:01 +0000
Resent-Message-ID: <handler.37594.B37594.15701746637200 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 37594
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch
To: Juri Linkov <juri@HIDDEN>
Cc: 37594 <at> debbugs.gnu.org
Received: via spool by 37594-submit <at> debbugs.gnu.org id=B37594.15701746637200
          (code B ref 37594); Fri, 04 Oct 2019 07:38:01 +0000
Received: (at 37594) by debbugs.gnu.org; 4 Oct 2019 07:37:43 +0000
Received: from localhost ([127.0.0.1]:41656 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGI9m-0001s3-Ru
	for submit <at> debbugs.gnu.org; Fri, 04 Oct 2019 03:37:43 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51191)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iGI9m-0001rr-5A
 for 37594 <at> debbugs.gnu.org; Fri, 04 Oct 2019 03:37:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58815)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iGI9g-00085m-Nm; Fri, 04 Oct 2019 03:37:36 -0400
Received: from [176.228.60.248] (port=3717 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iGI9f-0006RK-8C; Fri, 04 Oct 2019 03:37:35 -0400
Date: Fri, 04 Oct 2019 10:37:23 +0300
Message-Id: <83y2y155cc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <874l0ph146.fsf@HIDDEN> (message from Juri Linkov on
 Fri, 04 Oct 2019 01:43:37 +0300)
References: <87a7aidbqe.fsf@HIDDEN> <83k19l7o3g.fsf@HIDDEN>
 <874l0ph146.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: 37594 <at> debbugs.gnu.org
> Date: Fri, 04 Oct 2019 01:43:37 +0300
> 
>  * Incompatible Lisp Changes in Emacs 27.1

This entry should go into the "Changes" section, as it is not a
Lisp-level change, it's a user-level change.

> +---
> +** Print menu items in the File menu moved to submenu.

I suggest to name the entry "The File menu-bar menu was re-arranged"
and describe also the new entries for tabs there.

Thanks.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#37594: Menu rearrangement
Resent-From: Juri Linkov <juri@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 27 Nov 2019 22:38:02 +0000
Resent-Message-ID: <handler.37594.B37594.157489422610532 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 37594
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 37594 <at> debbugs.gnu.org
Received: via spool by 37594-submit <at> debbugs.gnu.org id=B37594.157489422610532
          (code B ref 37594); Wed, 27 Nov 2019 22:38:02 +0000
Received: (at 37594) by debbugs.gnu.org; 27 Nov 2019 22:37:06 +0000
Received: from localhost ([127.0.0.1]:56353 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ia5vm-0002jo-4n
	for submit <at> debbugs.gnu.org; Wed, 27 Nov 2019 17:37:06 -0500
Received: from fossa.birch.relay.mailchannels.net ([23.83.209.62]:24408)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1ia5vk-0002jf-A1
 for 37594 <at> debbugs.gnu.org; Wed, 27 Nov 2019 17:37:05 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 132AF5006E9;
 Wed, 27 Nov 2019 22:37:03 +0000 (UTC)
Received: from pdx1-sub0-mail-a84.g.dreamhost.com
 (100-96-196-51.trex.outbound.svc.cluster.local [100.96.196.51])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 97D70501BB3;
 Wed, 27 Nov 2019 22:37:02 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a84.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Wed, 27 Nov 2019 22:37:02 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Wide-Eyed-Invention: 4301d10a19640ffb_1574894222843_2363860543
X-MC-Loop-Signature: 1574894222843:1591929472
X-MC-Ingress-Time: 1574894222843
Received: from pdx1-sub0-mail-a84.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a84.g.dreamhost.com (Postfix) with ESMTP id 6253997677;
 Wed, 27 Nov 2019 14:36:57 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=apnCgRGUi24QRHkDNuRZDzAFiNQ=; b=
 c3MclUBEGf4iAU+D60h4yI8Nqw8ITLvLw/DtIDoST3DONi99J+mwI8Ct829EJrjh
 qgjBEZFniVK7AifTrfSGGaPBpjISuRv5aG5UBql6n1QmpC0YDKDe3gi6IZckuiAh
 CtmypA+UA1wgaklH0+g8PWMEuXgx0lsxNnE+cuUp+UM=
Received: from mail.jurta.org (m91-129-96-42.cust.tele2.ee [91.129.96.42])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a84.g.dreamhost.com (Postfix) with ESMTPSA id 4D94996EDB;
 Wed, 27 Nov 2019 14:36:47 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a84
From: Juri Linkov <juri@HIDDEN>
Organization: LINKOV.NET
References: <87a7aidbqe.fsf@HIDDEN> <83k19l7o3g.fsf@HIDDEN>
 <874l0ph146.fsf@HIDDEN> <83y2y155cc.fsf@HIDDEN>
Date: Thu, 28 Nov 2019 00:36:20 +0200
In-Reply-To: <83y2y155cc.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 04 Oct
 2019 10:37:23 +0300")
Message-ID: <874kyp0wwr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>  * Incompatible Lisp Changes in Emacs 27.1
>
> This entry should go into the "Changes" section, as it is not a
> Lisp-level change, it's a user-level change.
>
>> +---
>> +** Print menu items in the File menu moved to submenu.
>
> I suggest to name the entry "The File menu-bar menu was re-arranged"
> and describe also the new entries for tabs there.

Installed with these changes.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#37594: Menu rearrangement
Resent-From: Juri Linkov <juri@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 15 Jan 2020 00:10:02 +0000
Resent-Message-ID: <handler.37594.B37594.157904697425910 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 37594
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 37594 <at> debbugs.gnu.org
Received: via spool by 37594-submit <at> debbugs.gnu.org id=B37594.157904697425910
          (code B ref 37594); Wed, 15 Jan 2020 00:10:02 +0000
Received: (at 37594) by debbugs.gnu.org; 15 Jan 2020 00:09:34 +0000
Received: from localhost ([127.0.0.1]:33937 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irWFa-0006jp-7l
	for submit <at> debbugs.gnu.org; Tue, 14 Jan 2020 19:09:34 -0500
Received: from butterfly.birch.relay.mailchannels.net ([23.83.209.27]:2913)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1irWFY-0006jb-CE
 for 37594 <at> debbugs.gnu.org; Tue, 14 Jan 2020 19:09:33 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 313E66A229A;
 Wed, 15 Jan 2020 00:09:31 +0000 (UTC)
Received: from pdx1-sub0-mail-a39.g.dreamhost.com
 (100-96-83-43.trex.outbound.svc.cluster.local [100.96.83.43])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id B7F9D6A2278;
 Wed, 15 Jan 2020 00:09:30 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a39.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Wed, 15 Jan 2020 00:09:31 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Snatch-Duck: 4fba2d387bb51484_1579046970971_2594318944
X-MC-Loop-Signature: 1579046970970:862961417
X-MC-Ingress-Time: 1579046970970
Received: from pdx1-sub0-mail-a39.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a39.g.dreamhost.com (Postfix) with ESMTP id 976EF9436B;
 Tue, 14 Jan 2020 16:09:25 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=AGiXr6YvanmN6uYXYWMdhWw90fE=; b=
 YUNqsLEFleeFXxB7TBe5x3mbLILmkQxBiEnW5nXR9HR1glJIIcMeapZyDH7qmu9P
 prW278qfuWIJ1VX8jYdsLhoMcaMFCDP839VFTbXR6EqaU5Uwo0Wis/1gDpLZEL4Z
 oL8yCorx8yhCHkHzVH/VoC6O7a/qPIVaHH6AjgjkzDQ=
Received: from mail.jurta.org (m91-129-104-253.cust.tele2.ee [91.129.104.253])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a39.g.dreamhost.com (Postfix) with ESMTPSA id 66A5594634;
 Tue, 14 Jan 2020 16:09:22 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a39
From: Juri Linkov <juri@HIDDEN>
References: <87a7aidbqe.fsf@HIDDEN> <83k19l7o3g.fsf@HIDDEN>
 <874l0ph146.fsf@HIDDEN> <83y2y155cc.fsf@HIDDEN>
 <874kyp0wwr.fsf@HIDDEN>
Date: Wed, 15 Jan 2020 02:04:21 +0200
In-Reply-To: <874kyp0wwr.fsf@HIDDEN> (Juri Linkov's message of "Thu, 
 28 Nov 2019 00:36:20 +0200")
Message-ID: <875zhdzit6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.60 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedrtddvgddujecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffufhffjgfkfgggtgesthdtredttdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdegrddvheefnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehmrghilhdrjhhurhhtrgdrohhrghdpihhnvghtpeeluddruddvledruddtgedrvdehfedprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopegvlhhiiiesghhnuhdrohhrghenucevlhhushhtvghrufhiiigvpedt
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>> +** Print menu items in the File menu moved to submenu.
>>
>> I suggest to name the entry "The File menu-bar menu was re-arranged"
>> and describe also the new entries for tabs there.
>
> Installed with these changes.

Also a very useful command async-shell-command has no menu item.
I propose to add a new submenu  "Shell" and add to it two existing
menu items "Shell command" and "Shell command on region",
and two new items "Async shell command" and "Run shell":

Shell:
  Shell command
  Shell command on region
  Async shell command
  Run shell

Also noticed there is no lazy-count menu item in Isearch menu.
Should it be?

diff --git a/lisp/isearch.el b/lisp/isearch.el
index c987393725..25f7cba8e0 100644
--- a/lisp/isearch.el
+++ b/lisp/isearch.el
@@ -572,6 +572,11 @@ isearch-menu-bar-map
                   :help "Search for literal char"))
     (define-key map [isearch-special-char-separator]
       '(menu-item "--"))
+    (bindings--define-key map [isearch-lazy-count]
+      (menu-bar-make-toggle toggle-isearch-lazy-count isearch-lazy-count
+                            "Hit count"
+                            "Indication of hit count %s"
+                            "Indicate hit count, globally"))
     (define-key map [isearch-toggle-word]
       '(menu-item "Word matching" isearch-toggle-word
                   :help "Word matching"




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#37594: Menu rearrangement
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 15 Jan 2020 16:15:02 +0000
Resent-Message-ID: <handler.37594.B37594.157910486928580 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 37594
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch
To: Juri Linkov <juri@HIDDEN>
Cc: 37594 <at> debbugs.gnu.org
Received: via spool by 37594-submit <at> debbugs.gnu.org id=B37594.157910486928580
          (code B ref 37594); Wed, 15 Jan 2020 16:15:02 +0000
Received: (at 37594) by debbugs.gnu.org; 15 Jan 2020 16:14:29 +0000
Received: from localhost ([127.0.0.1]:35406 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irlJJ-0007Qn-MI
	for submit <at> debbugs.gnu.org; Wed, 15 Jan 2020 11:14:29 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51989)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1irlJE-0007QE-LT
 for 37594 <at> debbugs.gnu.org; Wed, 15 Jan 2020 11:14:24 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39189)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1irlJ9-00050E-9C; Wed, 15 Jan 2020 11:14:15 -0500
Received: from [176.228.60.248] (port=2973 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1irlJ8-0001ar-Km; Wed, 15 Jan 2020 11:14:15 -0500
Date: Wed, 15 Jan 2020 18:14:27 +0200
Message-Id: <83tv4w4rz0.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <875zhdzit6.fsf@HIDDEN> (message from Juri Linkov on
 Wed, 15 Jan 2020 02:04:21 +0200)
References: <87a7aidbqe.fsf@HIDDEN> <83k19l7o3g.fsf@HIDDEN>
 <874l0ph146.fsf@HIDDEN> <83y2y155cc.fsf@HIDDEN>
 <874kyp0wwr.fsf@HIDDEN> <875zhdzit6.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: 37594 <at> debbugs.gnu.org
> Date: Wed, 15 Jan 2020 02:04:21 +0200
> 
> Also a very useful command async-shell-command has no menu item.
> I propose to add a new submenu  "Shell" and add to it two existing
> menu items "Shell command" and "Shell command on region",
> and two new items "Async shell command" and "Run shell":
> 
> Shell:

I prefer "Shell Commands"

>   Shell command
>   Shell command on region
>   Async shell command
>   Run shell

"Run shell interactively", I think.

> Also noticed there is no lazy-count menu item in Isearch menu.
> Should it be?

Is it important enough to have there?




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#37594: Menu rearrangement
Resent-From: Juri Linkov <juri@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 15 Jan 2020 23:35:02 +0000
Resent-Message-ID: <handler.37594.B37594.157913128329736 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 37594
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 37594 <at> debbugs.gnu.org
Received: via spool by 37594-submit <at> debbugs.gnu.org id=B37594.157913128329736
          (code B ref 37594); Wed, 15 Jan 2020 23:35:02 +0000
Received: (at 37594) by debbugs.gnu.org; 15 Jan 2020 23:34:43 +0000
Received: from localhost ([127.0.0.1]:36477 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irsBO-0007jY-Ts
	for submit <at> debbugs.gnu.org; Wed, 15 Jan 2020 18:34:43 -0500
Received: from egyptian.birch.relay.mailchannels.net ([23.83.209.56]:15034)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1irsBM-0007jP-E7
 for 37594 <at> debbugs.gnu.org; Wed, 15 Jan 2020 18:34:40 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 2EA88600ADC;
 Wed, 15 Jan 2020 23:34:39 +0000 (UTC)
Received: from pdx1-sub0-mail-a95.g.dreamhost.com
 (100-96-29-73.trex.outbound.svc.cluster.local [100.96.29.73])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id BE15E6002B7;
 Wed, 15 Jan 2020 23:34:38 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a95.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Wed, 15 Jan 2020 23:34:39 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Drop-Thread: 1998adab5f3ca1d3_1579131278991_754821784
X-MC-Loop-Signature: 1579131278991:3727709793
X-MC-Ingress-Time: 1579131278991
Received: from pdx1-sub0-mail-a95.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a95.g.dreamhost.com (Postfix) with ESMTP id 0236E82628;
 Wed, 15 Jan 2020 15:34:36 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=sdbUcn8YAW7A29rQL9/LRRyrZxc=; b=
 00n99ZdF3nyyzswTQRH2I8UV4pr5kXiARMFGdwSnn1Gm0aSOyAdGnGHnGUdLvNP5
 CRCdHJN0iaGik3t1WDLTW7jJi74ypxNM4ZWwKwO+cvo7QFMo2mw5tGHzQaawRv+1
 C+G6WQ5/LOcrsghPEKiEr8meByLlsPjman2+MbYZed4=
Received: from mail.jurta.org (m91-129-104-253.cust.tele2.ee [91.129.104.253])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a95.g.dreamhost.com (Postfix) with ESMTPSA id 6F93882632;
 Wed, 15 Jan 2020 15:34:33 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a95
From: Juri Linkov <juri@HIDDEN>
Organization: LINKOV.NET
References: <87a7aidbqe.fsf@HIDDEN> <83k19l7o3g.fsf@HIDDEN>
 <874l0ph146.fsf@HIDDEN> <83y2y155cc.fsf@HIDDEN>
 <874kyp0wwr.fsf@HIDDEN> <875zhdzit6.fsf@HIDDEN>
 <83tv4w4rz0.fsf@HIDDEN>
Date: Thu, 16 Jan 2020 01:30:57 +0200
In-Reply-To: <83tv4w4rz0.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 15 Jan
 2020 18:14:27 +0200")
Message-ID: <87a76owb4e.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.60 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedrtdeggddtkecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtsehttdertddtredtnecuhfhrohhmpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqnecukfhppeeluddruddvledruddtgedrvdehfeenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepmhgrihhlrdhjuhhrthgrrdhorhhgpdhinhgvthepledurdduvdelrddutdegrddvheefpdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtohepvghlihiisehgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgepfe
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> Also a very useful command async-shell-command has no menu item.
>> I propose to add a new submenu  "Shell" and add to it two existing
>> menu items "Shell command" and "Shell command on region",
>> and two new items "Async shell command" and "Run shell":
>> 
>> Shell:
>
> I prefer "Shell Commands"
>
>>   Shell command
>>   Shell command on region
>>   Async shell command
>>   Run shell
>
> "Run shell interactively", I think.

Done.

>> Also noticed there is no lazy-count menu item in Isearch menu.
>> Should it be?
>
> Is it important enough to have there?

Right, this is a customizable user option that is not important here.

BTW, I can't believe there is no desktop-mode activation from the menu bar.
Under "Options" there is "Save Place in Files between Sessions",
but no menu item for saving windows/tabs/frames in the desktop file.
How about adding below the above a new menu option with a title like
"Save Sessions (with buffers and windows)"




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#37594: Menu rearrangement
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 16 Jan 2020 14:40:01 +0000
Resent-Message-ID: <handler.37594.B37594.157918560018755 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 37594
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch
To: Juri Linkov <juri@HIDDEN>
Cc: 37594 <at> debbugs.gnu.org
Received: via spool by 37594-submit <at> debbugs.gnu.org id=B37594.157918560018755
          (code B ref 37594); Thu, 16 Jan 2020 14:40:01 +0000
Received: (at 37594) by debbugs.gnu.org; 16 Jan 2020 14:40:00 +0000
Received: from localhost ([127.0.0.1]:36972 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1is6JQ-0004sO-Vs
	for submit <at> debbugs.gnu.org; Thu, 16 Jan 2020 09:40:00 -0500
Received: from eggs.gnu.org ([209.51.188.92]:44512)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1is6JL-0004s8-OK
 for 37594 <at> debbugs.gnu.org; Thu, 16 Jan 2020 09:39:55 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57155)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1is6JG-00043g-9j; Thu, 16 Jan 2020 09:39:46 -0500
Received: from [176.228.60.248] (port=1336 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1is6JE-00023t-Sn; Thu, 16 Jan 2020 09:39:45 -0500
Date: Thu, 16 Jan 2020 16:40:01 +0200
Message-Id: <83zhen31oe.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <87a76owb4e.fsf@HIDDEN> (message from Juri Linkov on
 Thu, 16 Jan 2020 01:30:57 +0200)
References: <87a7aidbqe.fsf@HIDDEN> <83k19l7o3g.fsf@HIDDEN>
 <874l0ph146.fsf@HIDDEN> <83y2y155cc.fsf@HIDDEN>
 <874kyp0wwr.fsf@HIDDEN> <875zhdzit6.fsf@HIDDEN>
 <83tv4w4rz0.fsf@HIDDEN> <87a76owb4e.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: 37594 <at> debbugs.gnu.org
> Date: Thu, 16 Jan 2020 01:30:57 +0200
> 
> BTW, I can't believe there is no desktop-mode activation from the menu bar.
> Under "Options" there is "Save Place in Files between Sessions",
> but no menu item for saving windows/tabs/frames in the desktop file.
> How about adding below the above a new menu option with a title like
> "Save Sessions (with buffers and windows)"

Fine with me, but "Save Sessions" is not the right title for this
feature.  Something like "Save Emacs State" or "Save Desktop", I
think.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#37594: Menu rearrangement
Resent-From: Juri Linkov <juri@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 17 Jan 2020 00:28:02 +0000
Resent-Message-ID: <handler.37594.B37594.15792208818709 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 37594
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 37594 <at> debbugs.gnu.org
Received: via spool by 37594-submit <at> debbugs.gnu.org id=B37594.15792208818709
          (code B ref 37594); Fri, 17 Jan 2020 00:28:02 +0000
Received: (at 37594) by debbugs.gnu.org; 17 Jan 2020 00:28:01 +0000
Received: from localhost ([127.0.0.1]:38651 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1isFUW-0002GP-Ng
	for submit <at> debbugs.gnu.org; Thu, 16 Jan 2020 19:28:00 -0500
Received: from cheetah.birch.relay.mailchannels.net ([23.83.209.34]:23196)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1isFUS-0002G2-I7
 for 37594 <at> debbugs.gnu.org; Thu, 16 Jan 2020 19:27:57 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 4B215E152E;
 Fri, 17 Jan 2020 00:27:55 +0000 (UTC)
Received: from pdx1-sub0-mail-a67.g.dreamhost.com
 (100-96-83-43.trex.outbound.svc.cluster.local [100.96.83.43])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id C215FE0FA2;
 Fri, 17 Jan 2020 00:27:54 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a67.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Fri, 17 Jan 2020 00:27:55 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Left-Blushing: 36b0e44b4c079688_1579220875027_1538823603
X-MC-Loop-Signature: 1579220875027:4195923502
X-MC-Ingress-Time: 1579220875027
Received: from pdx1-sub0-mail-a67.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a67.g.dreamhost.com (Postfix) with ESMTP id 4E58581DC7;
 Thu, 16 Jan 2020 16:27:54 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=3gCXDjOQfhcjV0f/jnXWu89uB1A=; b=
 FJk2xjm7ckVdIS7jrfUYSV3z5Vgq+kSQEoIrY9Gbh0FnmRD5OXV5v2UFyhkzx4+h
 W1MDl1Pip1hcUOQgF7jWY4553NeWri/95uUEpaQGcDh/gty7q5LzG5o3rKWpqJr2
 YyuKp2wdkXYyIhFKnnX2yUlX8QaaEm17w03Ms96Mj3c=
Received: from mail.jurta.org (m91-129-104-253.cust.tele2.ee [91.129.104.253])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a67.g.dreamhost.com (Postfix) with ESMTPSA id B1DCE81DCC;
 Thu, 16 Jan 2020 16:27:52 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a67
From: Juri Linkov <juri@HIDDEN>
Organization: LINKOV.NET
References: <87a7aidbqe.fsf@HIDDEN> <83k19l7o3g.fsf@HIDDEN>
 <874l0ph146.fsf@HIDDEN> <83y2y155cc.fsf@HIDDEN>
 <874kyp0wwr.fsf@HIDDEN> <875zhdzit6.fsf@HIDDEN>
 <83tv4w4rz0.fsf@HIDDEN> <87a76owb4e.fsf@HIDDEN>
 <83zhen31oe.fsf@HIDDEN>
Date: Fri, 17 Jan 2020 02:24:51 +0200
In-Reply-To: <83zhen31oe.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 16 Jan
 2020 16:40:01 +0200")
Message-ID: <87h80vdj58.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.60 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedrtdeigddvtdcutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtsehttdertddtredtnecuhfhrohhmpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqnecukfhppeeluddruddvledruddtgedrvdehfeenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepmhgrihhlrdhjuhhrthgrrdhorhhgpdhinhgvthepledurdduvdelrddutdegrddvheefpdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtohepvghlihiisehgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgepud
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> BTW, I can't believe there is no desktop-mode activation from the menu bar.
>> Under "Options" there is "Save Place in Files between Sessions",
>> but no menu item for saving windows/tabs/frames in the desktop file.
>> How about adding below the above a new menu option with a title like
>> "Save Sessions (with buffers and windows)"
>
> Fine with me, but "Save Sessions" is not the right title for this
> feature.  Something like "Save Emacs State" or "Save Desktop", I
> think.

Referring to Desktop is what I tried to avoid in the menu.
The name Desktop says nothing to the user who doesn't know
that the package name is desktop.el.

The Info node name describing this feature is named
"Saving Emacs Sessions", this is why "Save Session"
makes sense.  Also the same node says: "save the state of Emacs",
so maybe a good name would be "Save State between Sessions"
where "between Sessions" is the same text that is already
presented in "Save Place in Files between Sessions".




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#37594: Menu rearrangement
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 17 Jan 2020 08:21:01 +0000
Resent-Message-ID: <handler.37594.B37594.15792492254224 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 37594
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch
To: Juri Linkov <juri@HIDDEN>
Cc: 37594 <at> debbugs.gnu.org
Received: via spool by 37594-submit <at> debbugs.gnu.org id=B37594.15792492254224
          (code B ref 37594); Fri, 17 Jan 2020 08:21:01 +0000
Received: (at 37594) by debbugs.gnu.org; 17 Jan 2020 08:20:25 +0000
Received: from localhost ([127.0.0.1]:38824 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1isMrd-000161-4I
	for submit <at> debbugs.gnu.org; Fri, 17 Jan 2020 03:20:25 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58899)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1isMrX-00015e-BU
 for 37594 <at> debbugs.gnu.org; Fri, 17 Jan 2020 03:20:19 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43953)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1isMrS-0005cL-2P; Fri, 17 Jan 2020 03:20:10 -0500
Received: from [176.228.60.248] (port=2300 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1isMrQ-0006EF-O4; Fri, 17 Jan 2020 03:20:09 -0500
Date: Fri, 17 Jan 2020 10:20:08 +0200
Message-Id: <837e1q335z.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <87h80vdj58.fsf@HIDDEN> (message from Juri Linkov on
 Fri, 17 Jan 2020 02:24:51 +0200)
References: <87a7aidbqe.fsf@HIDDEN> <83k19l7o3g.fsf@HIDDEN>
 <874l0ph146.fsf@HIDDEN> <83y2y155cc.fsf@HIDDEN>
 <874kyp0wwr.fsf@HIDDEN> <875zhdzit6.fsf@HIDDEN>
 <83tv4w4rz0.fsf@HIDDEN> <87a76owb4e.fsf@HIDDEN>
 <83zhen31oe.fsf@HIDDEN> <87h80vdj58.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: 37594 <at> debbugs.gnu.org
> Date: Fri, 17 Jan 2020 02:24:51 +0200
> 
> > Fine with me, but "Save Sessions" is not the right title for this
> > feature.  Something like "Save Emacs State" or "Save Desktop", I
> > think.
> 
> Referring to Desktop is what I tried to avoid in the menu.
> The name Desktop says nothing to the user who doesn't know
> that the package name is desktop.el.

Using a word that happens to be the package name does have its
advantages.

> The Info node name describing this feature is named
> "Saving Emacs Sessions", this is why "Save Session"
> makes sense.

the Info node has the whole node to explain what "saving an Emacs
session" means in this context.  The menu item doesn't have that
luxury.

> Also the same node says: "save the state of Emacs",
> so maybe a good name would be "Save State between Sessions"

Fine with me, thanks.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#37594: Menu rearrangement
Resent-From: Juri Linkov <juri@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 20 Jan 2020 00:43:02 +0000
Resent-Message-ID: <handler.37594.B37594.15794809483865 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 37594
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 37594 <at> debbugs.gnu.org
Received: via spool by 37594-submit <at> debbugs.gnu.org id=B37594.15794809483865
          (code B ref 37594); Mon, 20 Jan 2020 00:43:02 +0000
Received: (at 37594) by debbugs.gnu.org; 20 Jan 2020 00:42:28 +0000
Received: from localhost ([127.0.0.1]:44176 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itL99-00010F-Si
	for submit <at> debbugs.gnu.org; Sun, 19 Jan 2020 19:42:28 -0500
Received: from butterfly.birch.relay.mailchannels.net ([23.83.209.27]:6005)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>)
 id 1itL95-0000zr-8B; Sun, 19 Jan 2020 19:42:24 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id DBFBE74076A;
 Mon, 20 Jan 2020 00:42:21 +0000 (UTC)
Received: from pdx1-sub0-mail-a96.g.dreamhost.com
 (100-96-85-39.trex.outbound.svc.cluster.local [100.96.85.39])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 4A92F740FD9;
 Mon, 20 Jan 2020 00:42:21 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a96.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Mon, 20 Jan 2020 00:42:21 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Lyrical-Shade: 439a3f5a3cd829b7_1579480941534_1995060516
X-MC-Loop-Signature: 1579480941534:1302447029
X-MC-Ingress-Time: 1579480941534
Received: from pdx1-sub0-mail-a96.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a96.g.dreamhost.com (Postfix) with ESMTP id AC9FA7F075;
 Sun, 19 Jan 2020 16:42:20 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=WfDyRgLEPF4uogVOYkP3OP6QVYk=; b=
 OEEJIEuRAEDr0DYim6x6KwX4x19sxs758bXUn21kyfz0bptfgbwD+PLYumfpmil8
 oJy9mmmvri+gmwLlw+Au/7oNL/HZ2fTdzMxh2a/DeEFcl5tH+7OKbxLLGe6hwhWM
 SL7xzLiqharOG01CWnOjFPz9bel6oXA1kvvVtJsbbzU=
Received: from mail.jurta.org (m91-129-103-201.cust.tele2.ee [91.129.103.201])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a96.g.dreamhost.com (Postfix) with ESMTPSA id BB1EB7F07A;
 Sun, 19 Jan 2020 16:42:18 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a96
From: Juri Linkov <juri@HIDDEN>
Organization: LINKOV.NET
References: <87a7aidbqe.fsf@HIDDEN> <83k19l7o3g.fsf@HIDDEN>
 <874l0ph146.fsf@HIDDEN> <83y2y155cc.fsf@HIDDEN>
 <874kyp0wwr.fsf@HIDDEN> <875zhdzit6.fsf@HIDDEN>
 <83tv4w4rz0.fsf@HIDDEN> <87a76owb4e.fsf@HIDDEN>
 <83zhen31oe.fsf@HIDDEN> <87h80vdj58.fsf@HIDDEN>
 <837e1q335z.fsf@HIDDEN>
Date: Mon, 20 Jan 2020 02:15:04 +0200
In-Reply-To: <837e1q335z.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 17 Jan
 2020 10:20:08 +0200")
Message-ID: <87muajm19z.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.60 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedrudeggddvgecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtsehttdertddtredtnecuhfhrohhmpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqnecukfhppeeluddruddvledruddtfedrvddtudenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepmhgrihhlrdhjuhhrthgrrdhorhhgpdhinhgvthepledurdduvdelrddutdefrddvtddupdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtohepvghlihiisehgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgeptd
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 37594 fixed
close 37594 27.0.60
quit

>> Also the same node says: "save the state of Emacs",
>> so maybe a good name would be "Save State between Sessions"
>
> Fine with me, thanks.

Done.

There are many other commands that could be added to the menu, but
at least these were the ones whose absence in the menu was noticeable,
so I'm closing this report.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 20 Jan 2020 00:42:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 19 19:42:29 2020
Received: from localhost ([127.0.0.1]:44178 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itL9B-00010I-49
	for submit <at> debbugs.gnu.org; Sun, 19 Jan 2020 19:42:29 -0500
Received: from butterfly.birch.relay.mailchannels.net ([23.83.209.27]:6005)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>)
 id 1itL95-0000zr-8B; Sun, 19 Jan 2020 19:42:24 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id DBFBE74076A;
 Mon, 20 Jan 2020 00:42:21 +0000 (UTC)
Received: from pdx1-sub0-mail-a96.g.dreamhost.com
 (100-96-85-39.trex.outbound.svc.cluster.local [100.96.85.39])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 4A92F740FD9;
 Mon, 20 Jan 2020 00:42:21 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a96.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Mon, 20 Jan 2020 00:42:21 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Lyrical-Shade: 439a3f5a3cd829b7_1579480941534_1995060516
X-MC-Loop-Signature: 1579480941534:1302447029
X-MC-Ingress-Time: 1579480941534
Received: from pdx1-sub0-mail-a96.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a96.g.dreamhost.com (Postfix) with ESMTP id AC9FA7F075;
 Sun, 19 Jan 2020 16:42:20 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=WfDyRgLEPF4uogVOYkP3OP6QVYk=; b=
 OEEJIEuRAEDr0DYim6x6KwX4x19sxs758bXUn21kyfz0bptfgbwD+PLYumfpmil8
 oJy9mmmvri+gmwLlw+Au/7oNL/HZ2fTdzMxh2a/DeEFcl5tH+7OKbxLLGe6hwhWM
 SL7xzLiqharOG01CWnOjFPz9bel6oXA1kvvVtJsbbzU=
Received: from mail.jurta.org (m91-129-103-201.cust.tele2.ee [91.129.103.201])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a96.g.dreamhost.com (Postfix) with ESMTPSA id BB1EB7F07A;
 Sun, 19 Jan 2020 16:42:18 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a96
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37594: Menu rearrangement
Organization: LINKOV.NET
References: <87a7aidbqe.fsf@HIDDEN> <83k19l7o3g.fsf@HIDDEN>
 <874l0ph146.fsf@HIDDEN> <83y2y155cc.fsf@HIDDEN>
 <874kyp0wwr.fsf@HIDDEN> <875zhdzit6.fsf@HIDDEN>
 <83tv4w4rz0.fsf@HIDDEN> <87a76owb4e.fsf@HIDDEN>
 <83zhen31oe.fsf@HIDDEN> <87h80vdj58.fsf@HIDDEN>
 <837e1q335z.fsf@HIDDEN>
Date: Mon, 20 Jan 2020 02:15:04 +0200
In-Reply-To: <837e1q335z.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 17 Jan
 2020 10:20:08 +0200")
Message-ID: <87muajm19z.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.60 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedrudeggddvgecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtsehttdertddtredtnecuhfhrohhmpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqnecukfhppeeluddruddvledruddtfedrvddtudenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepmhgrihhlrdhjuhhrthgrrdhorhhgpdhinhgvthepledurdduvdelrddutdefrddvtddupdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtohepvghlihiisehgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgeptd
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
Cc: 37594 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 37594 fixed
close 37594 27.0.60
quit

>> Also the same node says: "save the state of Emacs",
>> so maybe a good name would be "Save State between Sessions"
>
> Fine with me, thanks.

Done.

There are many other commands that could be added to the menu, but
at least these were the ones whose absence in the menu was noticeable,
so I'm closing this report.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 20 Jan 2020 00:42:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 19 19:42:29 2020
Received: from localhost ([127.0.0.1]:44178 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itL9B-00010I-49
	for submit <at> debbugs.gnu.org; Sun, 19 Jan 2020 19:42:29 -0500
Received: from butterfly.birch.relay.mailchannels.net ([23.83.209.27]:6005)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>)
 id 1itL95-0000zr-8B; Sun, 19 Jan 2020 19:42:24 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id DBFBE74076A;
 Mon, 20 Jan 2020 00:42:21 +0000 (UTC)
Received: from pdx1-sub0-mail-a96.g.dreamhost.com
 (100-96-85-39.trex.outbound.svc.cluster.local [100.96.85.39])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 4A92F740FD9;
 Mon, 20 Jan 2020 00:42:21 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a96.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Mon, 20 Jan 2020 00:42:21 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Lyrical-Shade: 439a3f5a3cd829b7_1579480941534_1995060516
X-MC-Loop-Signature: 1579480941534:1302447029
X-MC-Ingress-Time: 1579480941534
Received: from pdx1-sub0-mail-a96.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a96.g.dreamhost.com (Postfix) with ESMTP id AC9FA7F075;
 Sun, 19 Jan 2020 16:42:20 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=WfDyRgLEPF4uogVOYkP3OP6QVYk=; b=
 OEEJIEuRAEDr0DYim6x6KwX4x19sxs758bXUn21kyfz0bptfgbwD+PLYumfpmil8
 oJy9mmmvri+gmwLlw+Au/7oNL/HZ2fTdzMxh2a/DeEFcl5tH+7OKbxLLGe6hwhWM
 SL7xzLiqharOG01CWnOjFPz9bel6oXA1kvvVtJsbbzU=
Received: from mail.jurta.org (m91-129-103-201.cust.tele2.ee [91.129.103.201])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a96.g.dreamhost.com (Postfix) with ESMTPSA id BB1EB7F07A;
 Sun, 19 Jan 2020 16:42:18 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a96
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37594: Menu rearrangement
Organization: LINKOV.NET
References: <87a7aidbqe.fsf@HIDDEN> <83k19l7o3g.fsf@HIDDEN>
 <874l0ph146.fsf@HIDDEN> <83y2y155cc.fsf@HIDDEN>
 <874kyp0wwr.fsf@HIDDEN> <875zhdzit6.fsf@HIDDEN>
 <83tv4w4rz0.fsf@HIDDEN> <87a76owb4e.fsf@HIDDEN>
 <83zhen31oe.fsf@HIDDEN> <87h80vdj58.fsf@HIDDEN>
 <837e1q335z.fsf@HIDDEN>
Date: Mon, 20 Jan 2020 02:15:04 +0200
In-Reply-To: <837e1q335z.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 17 Jan
 2020 10:20:08 +0200")
Message-ID: <87muajm19z.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.60 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedrudeggddvgecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtsehttdertddtredtnecuhfhrohhmpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqnecukfhppeeluddruddvledruddtfedrvddtudenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepmhgrihhlrdhjuhhrthgrrdhorhhgpdhinhgvthepledurdduvdelrddutdefrddvtddupdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtohepvghlihiisehgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgeptd
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
Cc: 37594 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 37594 fixed
close 37594 27.0.60
quit

>> Also the same node says: "save the state of Emacs",
>> so maybe a good name would be "Save State between Sessions"
>
> Fine with me, thanks.

Done.

There are many other commands that could be added to the menu, but
at least these were the ones whose absence in the menu was noticeable,
so I'm closing this report.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#37594: Menu rearrangement
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 20 Jan 2020 17:12:02 +0000
Resent-Message-ID: <handler.37594.B37594.157954031015213 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 37594
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch fixed
To: Juri Linkov <juri@HIDDEN>
Cc: 37594 <at> debbugs.gnu.org
Received: via spool by 37594-submit <at> debbugs.gnu.org id=B37594.157954031015213
          (code B ref 37594); Mon, 20 Jan 2020 17:12:02 +0000
Received: (at 37594) by debbugs.gnu.org; 20 Jan 2020 17:11:50 +0000
Received: from localhost ([127.0.0.1]:45939 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itaaZ-0003xC-0X
	for submit <at> debbugs.gnu.org; Mon, 20 Jan 2020 12:11:50 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55874)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1itaaT-0003wk-K1
 for 37594 <at> debbugs.gnu.org; Mon, 20 Jan 2020 12:11:45 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55755)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1itaaO-0003NU-8a; Mon, 20 Jan 2020 12:11:36 -0500
Received: from [176.228.60.248] (port=3488 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1itaaN-0001hr-Ek; Mon, 20 Jan 2020 12:11:36 -0500
Date: Mon, 20 Jan 2020 19:11:42 +0200
Message-Id: <837e1mxdbl.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <87muajm19z.fsf@HIDDEN> (message from Juri Linkov on
 Mon, 20 Jan 2020 02:15:04 +0200)
References: <87a7aidbqe.fsf@HIDDEN> <83k19l7o3g.fsf@HIDDEN>
 <874l0ph146.fsf@HIDDEN> <83y2y155cc.fsf@HIDDEN>
 <874kyp0wwr.fsf@HIDDEN> <875zhdzit6.fsf@HIDDEN>
 <83tv4w4rz0.fsf@HIDDEN> <87a76owb4e.fsf@HIDDEN>
 <83zhen31oe.fsf@HIDDEN> <87h80vdj58.fsf@HIDDEN>
 <837e1q335z.fsf@HIDDEN> <87muajm19z.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: 37594 <at> debbugs.gnu.org
> Date: Mon, 20 Jan 2020 02:15:04 +0200
> 
> tags 37594 fixed
> close 37594 27.0.60
> quit
> 
> >> Also the same node says: "save the state of Emacs",
> >> so maybe a good name would be "Save State between Sessions"
> >
> > Fine with me, thanks.
> 
> Done.

Thanks, but this should have gone to master, not to the release
branch.  We are not adding new features to the release branch at this
time.  Please move it to master.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#37594: Menu rearrangement
Resent-From: Juri Linkov <juri@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 20 Jan 2020 23:13:02 +0000
Resent-Message-ID: <handler.37594.B37594.157956196525006 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 37594
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: patch fixed
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 37594 <at> debbugs.gnu.org
Received: via spool by 37594-submit <at> debbugs.gnu.org id=B37594.157956196525006
          (code B ref 37594); Mon, 20 Jan 2020 23:13:02 +0000
Received: (at 37594) by debbugs.gnu.org; 20 Jan 2020 23:12:45 +0000
Received: from localhost ([127.0.0.1]:46254 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1itgDt-0006VE-2A
	for submit <at> debbugs.gnu.org; Mon, 20 Jan 2020 18:12:45 -0500
Received: from cadetblue.birch.relay.mailchannels.net ([23.83.209.28]:34697)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1itgDq-0006V5-Ic
 for 37594 <at> debbugs.gnu.org; Mon, 20 Jan 2020 18:12:43 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 7838221518;
 Mon, 20 Jan 2020 23:12:41 +0000 (UTC)
Received: from pdx1-sub0-mail-a67.g.dreamhost.com
 (100-96-168-177.trex.outbound.svc.cluster.local [100.96.168.177])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id C8CC9215BA;
 Mon, 20 Jan 2020 23:12:40 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a67.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Mon, 20 Jan 2020 23:12:41 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Bitter-Desert: 4f25130d6a0fa04a_1579561961056_1635457902
X-MC-Loop-Signature: 1579561961056:3833176629
X-MC-Ingress-Time: 1579561961055
Received: from pdx1-sub0-mail-a67.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a67.g.dreamhost.com (Postfix) with ESMTP id 9EEA581DBB;
 Mon, 20 Jan 2020 15:12:37 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=o9yL6Fkd339F2H5O9U7eNbohVlI=; b=
 wVrdyizy5ediVPZqGhNOKd5GIy+Ht0pJkM42y6Xmqkc7w853yU5MYLk3Oaa9B0g8
 IVe6xAEarpKnBS8O6kB0sY2b9NOONmneaxUViIshzRsFYS+kqFbei7VTU0bSVzH1
 ggko9NpUt6i0MfRWFJPzc1dV8sekOZ3inEi2a9N9F+k=
Received: from mail.jurta.org (m91-129-103-201.cust.tele2.ee [91.129.103.201])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a67.g.dreamhost.com (Postfix) with ESMTPSA id 1657E81DBD;
 Mon, 20 Jan 2020 15:12:35 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a67
From: Juri Linkov <juri@HIDDEN>
Organization: LINKOV.NET
References: <87a7aidbqe.fsf@HIDDEN> <83k19l7o3g.fsf@HIDDEN>
 <874l0ph146.fsf@HIDDEN> <83y2y155cc.fsf@HIDDEN>
 <874kyp0wwr.fsf@HIDDEN> <875zhdzit6.fsf@HIDDEN>
 <83tv4w4rz0.fsf@HIDDEN> <87a76owb4e.fsf@HIDDEN>
 <83zhen31oe.fsf@HIDDEN> <87h80vdj58.fsf@HIDDEN>
 <837e1q335z.fsf@HIDDEN> <87muajm19z.fsf@HIDDEN>
 <837e1mxdbl.fsf@HIDDEN>
Date: Tue, 21 Jan 2020 01:10:11 +0200
In-Reply-To: <837e1mxdbl.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 20 Jan
 2020 19:11:42 +0200")
Message-ID: <87iml5zpv0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.60 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedrudejgddtgecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtsehttdertddtredtnecuhfhrohhmpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqnecukfhppeeluddruddvledruddtfedrvddtudenucevlhhushhtvghrufhiiigvpedvnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehmrghilhdrjhhurhhtrgdrohhrghdpihhnvghtpeeluddruddvledruddtfedrvddtuddprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopegvlhhiiiesghhnuhdrohhrgh
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Thanks, but this should have gone to master, not to the release
> branch.  We are not adding new features to the release branch at this
> time.  Please move it to master.

Done.





Last modified: Mon, 20 Jan 2020 23:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.